> ## Documentation Index
> Fetch the complete documentation index at: https://docs.freeplay.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Test Runs

> 
`page_size` defaults to 100, maximum 100.



## OpenAPI

````yaml https://app.freeplay.ai/openapi.json get /api/v2/projects/{project_id}/test-runs
openapi: 3.1.0
info:
  title: Freeplay API
  version: 0.1.0
servers: []
security:
  - BearerAuth: []
paths:
  /api/v2/projects/{project_id}/test-runs:
    get:
      tags:
        - Test Runs
      summary: List Test Runs
      description: |-

        `page_size` defaults to 100, maximum 100.
      operationId: get_get_test_runs
      parameters:
        - name: project_id
          in: path
          required: true
          schema:
            type: string
        - name: page
          in: query
          schema:
            default: 1
            title: Page
            type:
              - integer
              - 'null'
        - name: page_size
          in: query
          schema:
            default: 100
            title: Page Size
            type:
              - integer
              - 'null'
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  test_runs:
                    items:
                      $ref: '#/components/schemas/TestRunInfo'
                    title: Test Runs
                    type: array
                required:
                  - test_runs
                title: TestRunListResponseInfo
                type: object
          description: >-
            TestRunListResponseInfo(test_runs:
            list[shared.sqlalchemy.models.TestRun])
components:
  schemas:
    TestRunInfo:
      properties:
        test_run_id:
          format: uuid
          title: Test Run Id
          type: string
        test_case_id:
          format: uuid
          title: Test Case Id
          type: string
      required:
        - test_run_id
        - test_case_id
      title: TestRunInfo
      type: object
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````